Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader.core
Class ImageType

    java.lang.Object
      com.blogspot.applications4android.comicreader.core.ImageType

    public class ImageType

extends java.lang.Object

Class to read an image file and determine the type of image

Nested Class Summary
`static class` | `ImageType.Types` List of all images currently supported.

Method Summary
`static ImageType.Types` | `getImageType(java.io.InputStream is)` Given a file pointer, returns the image type
`static ImageType.Types` | `getImageType(java.lang.String imgFile)` Read the file header to determine the image type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getImageType

    public static ImageType.Types getImageType(java.lang.String imgFile)

  Read the file header to determine the image type.

  Parameters:
    `imgFile` - image file
  Returns:
    ImageType.Types enum

### getImageType

    public static ImageType.Types getImageType(java.io.InputStream is)
                                        throws java.io.IOException,
                                               java.lang.Exception

  Given a file pointer, returns the image type

  Parameters:
    `fis` - file pointer
  Returns:
    image type
  Throws:
    `java.io.IOException`
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD